Create a new sales order for a sales quotation
curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/sales-quotations/{salesQuotationId}/sales-order \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-quotations/{salesQuotationId}/sales-order"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-quotations/{salesQuotationId}/sales-order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"salesOrderId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}Sales Quotation
Create a new sales order for a sales quotation
Create a new sales order for a sales quotation
POST
/
v2
/
sales-quotations
/
{salesQuotationId}
/
sales-order
Create a new sales order for a sales quotation
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Response
Sales order created successfully
Create a new sales order for a sales quotation - Response
The ID of the created sales order
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Was this page helpful?
⌘I